# class Byebug::NextCommand

Implements the next functionality.

Allows the user the continue execution until the next instruction in the current frame.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 30
    def description
      prettify <<-EOD
        n[ext][ nnn]

        Steps over once or nnn times.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 26
    def names
      %w(next)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 17
    def execute
      steps, err = parse_steps(@match[1], 'Next')
      return errmsg(err) unless steps

      @state.context.step_over(steps, @state.frame)
      @state.proceed
    end

regexp() click to toggle source

    # File lib/byebug/commands/stepping.rb, line 13
    def regexp
      /^\s* n(?:ext)? (?:\s+(\S+))? \s*$/x
    end